import { throttle } from "lodash-es";
import router from "@/router";

export const notifyInvalidTokenThrottled = throttle(
  () => {
    $message.error("登录失效，请重新登录！");
    logger({
      pgu: "AUTO",
      cnl: ["console", "server"],
      dtl: "登录失效，请重新登录",
    });
    void router.push({ name: "UserLogin" });
  },
  3000,
  { trailing: false }
);
